/* This code is automatically generated.  Edit at your own risk! */

#include <config.h>
#include "guppi-group-view-layout.h"

#include "guppi-layout-rule-predef.h"

void
guppi_group_view_layout_flush_left (GuppiGroupView *group, GuppiElementView *view, double margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_flush_left (guppi_element_view_geometry (view), margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_flush_right (GuppiGroupView *group, GuppiElementView *view, double margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_flush_right (guppi_element_view_geometry (view), margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_flush_top (GuppiGroupView *group, GuppiElementView *view, double margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_flush_top (guppi_element_view_geometry (view), margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_flush_bottom (GuppiGroupView *group, GuppiElementView *view, double margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_flush_bottom (guppi_element_view_geometry (view), margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_center_horizontally (GuppiGroupView *group, GuppiElementView *view)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_center_horizontally (guppi_element_view_geometry (view));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_center_vertically (GuppiGroupView *group, GuppiElementView *view)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_center_vertically (guppi_element_view_geometry (view));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_center (GuppiGroupView *group, GuppiElementView *view)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_center (guppi_element_view_geometry (view));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_fill_horizontally (GuppiGroupView *group, GuppiElementView *view, double left_margin, double right_margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (left_margin >= 0);
  g_return_if_fail (right_margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_fill_horizontally (guppi_element_view_geometry (view), left_margin, right_margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_fill_vertically (GuppiGroupView *group, GuppiElementView *view, double top_margin, double bottom_margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (top_margin >= 0);
  g_return_if_fail (bottom_margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_fill_vertically (guppi_element_view_geometry (view), top_margin, bottom_margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_fill (GuppiGroupView *group, GuppiElementView *view, double left_margin, double right_margin, double top_margin, double bottom_margin)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (left_margin >= 0);
  g_return_if_fail (right_margin >= 0);
  g_return_if_fail (top_margin >= 0);
  g_return_if_fail (bottom_margin >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_fill (guppi_element_view_geometry (view), left_margin, right_margin, top_margin, bottom_margin);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_left (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_left (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_right (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_right (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_top (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_top (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_bottom (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_bottom (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_horizontal_center (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_horizontal_center (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_vertical_center (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_vertical_center (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_center (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_center (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_left_aligned (GuppiGroupView *group, GuppiElementView *top_view, GuppiElementView *bottom_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (top_view && GUPPI_IS_ELEMENT_VIEW (top_view));
  g_return_if_fail (bottom_view && GUPPI_IS_ELEMENT_VIEW (bottom_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, top_view);
  guppi_group_view_add (group, bottom_view);

  rule = guppi_layout_rule_new_left_aligned (guppi_element_view_geometry (top_view), guppi_element_view_geometry (bottom_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_right_aligned (GuppiGroupView *group, GuppiElementView *top_view, GuppiElementView *bottom_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (top_view && GUPPI_IS_ELEMENT_VIEW (top_view));
  g_return_if_fail (bottom_view && GUPPI_IS_ELEMENT_VIEW (bottom_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, top_view);
  guppi_group_view_add (group, bottom_view);

  rule = guppi_layout_rule_new_right_aligned (guppi_element_view_geometry (top_view), guppi_element_view_geometry (bottom_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_top_aligned (GuppiGroupView *group, GuppiElementView *left_view, GuppiElementView *right_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (left_view && GUPPI_IS_ELEMENT_VIEW (left_view));
  g_return_if_fail (right_view && GUPPI_IS_ELEMENT_VIEW (right_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, left_view);
  guppi_group_view_add (group, right_view);

  rule = guppi_layout_rule_new_top_aligned (guppi_element_view_geometry (left_view), guppi_element_view_geometry (right_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_bottom_aligned (GuppiGroupView *group, GuppiElementView *left_view, GuppiElementView *right_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (left_view && GUPPI_IS_ELEMENT_VIEW (left_view));
  g_return_if_fail (right_view && GUPPI_IS_ELEMENT_VIEW (right_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, left_view);
  guppi_group_view_add (group, right_view);

  rule = guppi_layout_rule_new_bottom_aligned (guppi_element_view_geometry (left_view), guppi_element_view_geometry (right_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_horizontally_adjacent (GuppiGroupView *group, GuppiElementView *left_view, GuppiElementView *right_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (left_view && GUPPI_IS_ELEMENT_VIEW (left_view));
  g_return_if_fail (right_view && GUPPI_IS_ELEMENT_VIEW (right_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, left_view);
  guppi_group_view_add (group, right_view);

  rule = guppi_layout_rule_new_horizontally_adjacent (guppi_element_view_geometry (left_view), guppi_element_view_geometry (right_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_horizontally_aligned (GuppiGroupView *group, GuppiElementView *left_view, GuppiElementView *right_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (left_view && GUPPI_IS_ELEMENT_VIEW (left_view));
  g_return_if_fail (right_view && GUPPI_IS_ELEMENT_VIEW (right_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, left_view);
  guppi_group_view_add (group, right_view);

  rule = guppi_layout_rule_new_horizontally_aligned (guppi_element_view_geometry (left_view), guppi_element_view_geometry (right_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_vertically_adjacent (GuppiGroupView *group, GuppiElementView *top_view, GuppiElementView *bottom_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (top_view && GUPPI_IS_ELEMENT_VIEW (top_view));
  g_return_if_fail (bottom_view && GUPPI_IS_ELEMENT_VIEW (bottom_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, top_view);
  guppi_group_view_add (group, bottom_view);

  rule = guppi_layout_rule_new_vertically_adjacent (guppi_element_view_geometry (top_view), guppi_element_view_geometry (bottom_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_vertically_aligned (GuppiGroupView *group, GuppiElementView *top_view, GuppiElementView *bottom_view, double gap)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (top_view && GUPPI_IS_ELEMENT_VIEW (top_view));
  g_return_if_fail (bottom_view && GUPPI_IS_ELEMENT_VIEW (bottom_view));
  g_return_if_fail (gap >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, top_view);
  guppi_group_view_add (group, bottom_view);

  rule = guppi_layout_rule_new_vertically_aligned (guppi_element_view_geometry (top_view), guppi_element_view_geometry (bottom_view), gap);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_width_ratio (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2, double ratio)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));
  g_return_if_fail (ratio >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_width_ratio (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2), ratio);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_height_ratio (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2, double ratio)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));
  g_return_if_fail (ratio >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_height_ratio (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2), ratio);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_aspect_ratio (GuppiGroupView *group, GuppiElementView *view, double ratio)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view && GUPPI_IS_ELEMENT_VIEW (view));
  g_return_if_fail (ratio >= 0);

  /* multiple adds are harmless */
  guppi_group_view_add (group, view);

  rule = guppi_layout_rule_new_aspect_ratio (guppi_element_view_geometry (view), ratio);
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_width (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_width (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_height (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_height (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_size (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_size (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

void
guppi_group_view_layout_same_place (GuppiGroupView *group, GuppiElementView *view1, GuppiElementView *view2)
{
  GuppiLayoutRule *rule;

  g_return_if_fail (group && GUPPI_IS_GROUP_VIEW (group));
  g_return_if_fail (view1 && GUPPI_IS_ELEMENT_VIEW (view1));
  g_return_if_fail (view2 && GUPPI_IS_ELEMENT_VIEW (view2));

  /* multiple adds are harmless */
  guppi_group_view_add (group, view1);
  guppi_group_view_add (group, view2);

  rule = guppi_layout_rule_new_same_place (guppi_element_view_geometry (view1), guppi_element_view_geometry (view2));
  g_return_if_fail (rule != NULL);
  guppi_layout_engine_add_rule (guppi_group_view_layout (group), rule);
  guppi_layout_rule_unref (rule);
}

/* This code is automatically generated.  Edit at your own risk! */
